DIR(1)

NAMN
dir — lista kataloginnehåll

SYNOPSIS
dir [FLAGGA]... [FIL]...

BESKRIVNING

Visa information om FILerna (aktuell katalog om inget anges). Sortera posterna alfabetiskt om ingen av -cftuvSUX eller --sort anges.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-a, --all
    Bortse inte från poster som inleds med .

-A, --almost-all
    Lista inte underförstådda . och ..

--author
    Med -l, skriv ut författare för varje fil.

-b, --escape
    Skriv C:s specialkoder för ickegrafiska tecken.

--block-size=STORLEK
    Med -l, skala storlekar med STORLEK när de skrivs ut; t.ex., --block-size=M; se STORLEKSformat nedan.

-B, --ignore-backups
    Lista inte underförstådda poster som slutar på ~

-c  Med -lt: sortera efter och visa ctime, (tid för senaste ändring av filstatusinformation); med -l: visa ctime och sortera alfabetiskt; annars: sortera efter ctime, nyast först.

-C  Lista poster kolumnvis.

--color[=NÄR]
    färga utmatningen NÄR; mer information nedan

-d, --directory
    Lista själva katalogerna, inte deras innehåll.

-D, --dired
    Anpassa utdata för Emacs dired-funktion.

-f  Lista alla poster i katalogordning.

-F, --classify[=NÄR]
    lägg till en indikator (en av */=>@|) till poster NÄR

--file-type
    Detsamma, med undantag av ”*”.

--format=ORD
    across -x, commas -m, horizontal -x, long -l, single-column -1, verbose -l, vertical -C

--full-time
    Som -l --time-style=full-iso.

-g  Som -l, men skriv inte ut ägare.

--group-directories-first
    gruppera kataloger före filer; kan utökas med en flagga --sort, men användning av --sort=none (-U) avaktiverar gruppering

-G, --no-group
    I en lång listning, skriv inte ut gruppnamn.

-h, --human-readable
    Med -l och -s, skriv storlekar som 1K 234M 2G etc.

--si
    d:o, men använd potenser av 1000, inte 1024.

-H, --dereference-command-line
    Följ symboliska länkar angivna på kommandoraden.

--dereference-command-line-symlink-to-dir
    följ varje kommandoradsargument som är en symbolisk länk som pekar på en katalog

--hide=MÖNSTER
    Visa inte underförstådda poster som matchar MÖNSTER (åsidosätts av -a eller -A).

--hyperlink[=NÄR]
    hyperlänka filnamn NÄR

--indicator-style=ORD
    Lägg till en indikator med stil ORD till postnamn: none (standard), slash (-p), file-type (--file-type), classify (-F).

-i, --inode
    Visa indexnummer för varje fil.

-I, --ignore=MÖNSTER
    Visa inte underförstådda poster som matchar skalMÖNSTER.

-k, --kibibytes
    Använd som standard 1024-bytesblock för filsystemsanvändning; används endast med -s och för totaler per katalog.

-l  Använd långt listningsformat.

-L, --dereference
    När filinformation visas för en symbolisk länk, visa information om filen länken refererar snarare än för själva länken.

-m  Fyll bredden med en kommaseparerad lista av poster.

-n, --numeric-uid-gid
    Som -l, men lista numeriska användar- och grupp-ID.

-N, --literal
    Skriv ut råa postnamn utan citeringar.

-o  Som -l, men lista inte gruppinformation.

-p, --indicator-style=slash
    Lägg till en /-indikator till kataloger.

-q, --hide-control-chars
    Skriv ? istället för ickegrafiska tecken.

--show-control-chars
    Visa ickegrafiska tecken som de är (normalfall utom om programmet är ls(1) och utdata är en terminal).

-Q, --quote-name
    Omge postnamnen med citationstecken.

--quoting-style=ORD
    Använd citationsstil ORD för postnamn: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (åsidosätter miljövariabeln QUOTING_STYLE).

-r, --reverse
    Sortera baklänges.

-R, --recursive
    Visa underkataloger rekursivt.

-s, --size
    Skriv allokerade storleken i block för varje fil.

-S  Sortera efter filstorlek, störst först.

--sort=ORD
    Sortera enligt ORD istället för namn: none (-U), size (-S), time (-t), version (-v), extension (-X), width.

--time=ORD
    Ändra standarden att visa modifieringstid; åtkomsttid (-u): atime, access, use; ändringstid (-c): ctime, status; födelsetid: birth, creation;

    med -l avgör ORD vilken tid att visa; med --sort=time, sortera enligt ORD (nyast först).

--time-style=TIDSSTIL
    Tid-/datumformat med -l; se TIDSSTIL nedan.

-t  Sortera efter tid, nyast först; se --time.

-T, --tabsize=KOLUMN
    Antag tabulatorsteg varje KOLUMN, inte var 8:e.

-u  Med -lt: sortera efter och visa åtkomsttid; med -l: visa åtkomsttid men sortera alfabetiskt; annars: sortera enligt åtkomsttid, nyast först.

-U  Sortera inte; lista poster i katalogordning.

-v  Naturlig sortering av (versions)nummer i text.

-w, --width=KOL
    Ange utmatningsbredd till KOL, 0 betyder ingen gräns.

-x  Lista poster radvis istället för kolumnvis.

-X  Sortera alfabetiskt efter posternas ändelser.

-Z, --context
    Skriv eventuell säkerhetskontext för varje fil.

--zero
    Avsluta varje utmatad rad med NOLL, inte nyrad.

-1  Lista en fil per rad.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Argumentet STORLEK är ett heltal och eventuell enhet (exempel: 10K är 10·1024). Enheter är K, M, G, T, P, E, Z, Y (potenser av 1024) eller KB, MB, … (potenser av 1000). Binära prefix kan också användas: KiB=K, MiB=M, och så vidare.

TIDSSTILargumentet kav vara full-iso, long-iso, iso, locale eller +FORMAT. FORMAT tolkas som i date(1). Om FORMAT är FORMAT1<nyrad>FORMAT2, då används FORMAT1 för gamla filer och FORMAT2 för sena filer. TIDSSTIL med prefixet ”posix-” har effekt endast utanför lokalen POSIX. Vidare anger miljövariabeln TIME_STYLE standardstilen att använda.

Argumentet NÄR är som standard ”always” men kan också vara ”auto” eller ”never”.

Användning av färger för att särskilja filtyper är avslaget både som standard och med --color=never. Med --color=auto, skriver ls(1) ut färgkoder endast när standard ut är anslutet till en terminal. Miljövariabeln LS_COLORS kan ändra inställningen. Använd kommandot dircolors(1) för att sätta den.

  Slutstatus:

0   om OK,

1   om smärre problem (t.ex., kan inte komma åt en underkatalog),

2   om allvarliga bekymmer (t.ex., kan inte komma åt kommandoradsargument).

UPPHOVSMAN
Skrivet av Richard M. Stallman och David MacKenzie.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/dir>
eller tillgängligt lokalt via: info '(coreutils) dir invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.